Subject: bug#39172: SElinux guix-daemon.cil file

From: Matt Wette <[email-masked]>
Date: Tue, 28 Jan 2020 05:45:38 -0800

On 1/27/20 1:50 PM, Ludovic Courtès wrote:
> Hello,
>
> Ricardo Wurmus <[email-masked]> skribis:
>
>> Could we also do this in one expression?
>>
>>      (typeattributeset file_type (or guix_profiles_t
>>                                      guix_daemon_conf_t
>>                                      guix_daemon_exec_t
>>                                      guix_daemon_socket_t
>>                                      guix_store_content_t))
>>
>> I also think we need to declare our use of “file_type” first:
>>
>>      (typeattribute file_type)
>>
>> What do you think?
> Matt, does what Ricardo proposes work for you?
>

I can add that and see if it helps.  I am just coming up to speed on this.

There are other changes I may be proposing.
Note that use of

     (block guix_daemon
         ... guix_daemon_conf_t
     )

results in the type guix_daemon.guix_daemon_conf_t.   According to

     https://github.com/SELinuxProject/cil/wiki

the convention is something like the following, with added typealias

      (block guix
        ... daemon_conf
      )

     (typealias guix.daemon_conf guix_daemon_conf_t)